<?php
namespace DiviBooster\PhpCode;

define('DBMPHP_VERSION_OPTION', 'divi-module-php-code');
define('DBMPHP_PATH', dirname(__FILE__).'/');

// === Add update hook ===
add_action('plugins_loaded', __NAMESPACE__.'\\dbmphp_update_check');

function dbmphp_update_check() {
	$old = get_option(DBMPHP_VERSION_OPTION);
	$new = DBMPHP_VERSION;
    if ($old!=$new) { 
		do_action('dbmphp_update', $old, $new); 
		update_option(DBMPHP_VERSION_OPTION, $new);
	} 
}

include_once(DBMPHP_PATH.'classes/classes.php');

include_once(DBMPHP_PATH.'modules/et_pb_db_php_code/et_pb_db_php_code.php');

include_once(DBMPHP_PATH.'compat/advanced-custom-fields-pro/advanced-custom-fields-pro.php');